package com.weaver.seconddev.njwebservice.entity;


public class UserWorkPlan {
    String ID = "";
    String Name = "";
    String BeginDate = "";
    String EndDate = "";
    String BeginTime = "";
    String EndTime = "";
    String createrid = "";
    String createrName = "";
    String description = "";
    String status = "";
    int workPlanType = 0;
    String urgentLevel = "";
    String remindType = "";
    String remindImmediately = "0";
    String remindBeforeStart = "";
    String remindBeforeEnd = "";
    String remindDateBeforeStart = "";
    String remindTimeBeforeStart = "";
    String remindDateBeforeEnd = "";
    String remindTimeBeforeEnd = "";
    String resourceID = "";
    String resourceNames = "";
    String isMustEdit = "0";

    public UserWorkPlan() {
    }

    public String getID() {
        return this.ID;
    }

    public void setID(String var1) {
        this.ID = var1;
    }

    public String getName() {
        return this.Name;
    }

    public void setName(String var1) {
        this.Name = var1;
    }

    public String getBeginDate() {
        return this.BeginDate;
    }

    public void setBeginDate(String var1) {
        this.BeginDate = var1;
    }

    public String getEndDate() {
        return this.EndDate;
    }

    public void setEndDate(String var1) {
        this.EndDate = var1;
    }

    public String getBeginTime() {
        return this.BeginTime;
    }

    public void setBeginTime(String var1) {
        this.BeginTime = var1;
    }

    public String getEndTime() {
        return this.EndTime;
    }

    public void setEndTime(String var1) {
        this.EndTime = var1;
    }

    public String getCreaterid() {
        return this.createrid;
    }

    public void setCreaterid(String var1) {
        this.createrid = var1;
    }

    public String getCreaterName() {
        return this.createrName;
    }

    public void setCreaterName(String var1) {
        this.createrName = var1;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(String var1) {
        this.description = var1;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(String var1) {
        this.status = var1;
    }

    public int getWorkPlanType() {
        return this.workPlanType;
    }

    public void setWorkPlanType(int var1) {
        this.workPlanType = var1;
    }

    public String getUrgentLevel() {
        return this.urgentLevel;
    }

    public void setUrgentLevel(String var1) {
        this.urgentLevel = var1;
    }

    public String getRemindType() {
        return this.remindType;
    }

    public void setRemindType(String var1) {
        this.remindType = var1;
    }

    public String getRemindImmediately() {
        return this.remindImmediately;
    }

    public void setRemindImmediately(String var1) {
        this.remindImmediately = var1;
    }

    public String getRemindBeforeStart() {
        return this.remindBeforeStart;
    }

    public void setRemindBeforeStart(String var1) {
        this.remindBeforeStart = var1;
    }

    public String getRemindBeforeEnd() {
        return this.remindBeforeEnd;
    }

    public void setRemindBeforeEnd(String var1) {
        this.remindBeforeEnd = var1;
    }

    public String getRemindDateBeforeStart() {
        return this.remindDateBeforeStart;
    }

    public void setRemindDateBeforeStart(String var1) {
        this.remindDateBeforeStart = var1;
    }

    public String getRemindTimeBeforeStart() {
        return this.remindTimeBeforeStart;
    }

    public void setRemindTimeBeforeStart(String var1) {
        this.remindTimeBeforeStart = var1;
    }

    public String getRemindDateBeforeEnd() {
        return this.remindDateBeforeEnd;
    }

    public void setRemindDateBeforeEnd(String var1) {
        this.remindDateBeforeEnd = var1;
    }

    public String getRemindTimeBeforeEnd() {
        return this.remindTimeBeforeEnd;
    }

    public void setRemindTimeBeforeEnd(String var1) {
        this.remindTimeBeforeEnd = var1;
    }

    public String getResourceID() {
        return this.resourceID;
    }

    public void setResourceID(String var1) {
        this.resourceID = var1;
    }

    public String getResourceNames() {
        return this.resourceNames;
    }

    public void setResourceNames(String var1) {
        this.resourceNames = var1;
    }

    public String getIsMustEdit() {
        return this.isMustEdit;
    }

    public void setIsMustEdit(String var1) {
        this.isMustEdit = var1;
    }
}
